#
# spec file for package hardinfo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hardinfo
Version:        0.5.1
Release:        8.15
Summary:        Displays system information
License:        GPL-2.0
Group:          System/Benchmark
Url:            http://hardinfo.org/
Source:         http://downloads.sf.net/%{name}.berlios/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(libsoup-2.4)
Recommends:     apcupsd
Recommends:     sensors
ExclusiveArch:  %ix86 x86_64

%description
HardInfo is a small application that displays information about your
hardware and operating system.

Currently it knows about PCI, ISA PnP, USB, IDE, SCSI, Serial and
parallel port devices.

%prep
%setup -q
cat > %{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=HardInfo
GenericName=HardInfo
Exec=%{name} %U
Comment=System Profiler and Benchmark
Comment[pt_BR]=Informações e Testes do Sistema
Comment[ru_RU]=Системный профайлер и бенчмарк
Icon=%{name}
Categories=System;Utility;DesktopUtility;Monitor;
EOF

%build
%configure --prefix=%{_prefix}
make ARCHOPTS="%{optflags} -fgnu89-inline" %{?_smp_mflags}

%install
%make_install
install -Dm 0644 pixmaps/logo.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%suse_update_desktop_file %{name}
%fdupes %{buildroot}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Fri Jun 19 2015 crrodriguez@opensuse.org
- Force GNU inline semantics, fixes build with GCC5
* Sun Jul 20 2014 sor.alexei@meowr.ru
- Remove fixsensors.patch because sensors was fixed in upstream
  by "gchar *temp = g_strdup("")" in arch/linux/common/sensors.h.
* Thu Jul 17 2014 cfarrell@suse.com
- License update: GPL-2.0
  This package is GPL-2.0 - i.e. "only"
* Sun Jul 13 2014 sor.alexei@meowr.ru
- Initial package.
